package es.uv.saic.dto;

import java.math.BigInteger;

public class InstanciaGanttDTOImp implements InstanciaGanttDTO{
    private BigInteger id;
	private String name;
	private String titCas;
	private String titVal;
	private String start;
	private String end;
	private Integer progress;
	private String custom_class;

    public InstanciaGanttDTOImp(BigInteger id, String name, String titCas, String titVal, String start, String end,
            Integer progress, String customClass) {
        this.id = id;
        this.name = name;
        this.titCas = titCas;
        this.titVal = titVal;
        this.start = start;
        this.end = end;
        this.progress = progress;
        this.custom_class = customClass;
    }

    public InstanciaGanttDTOImp(InstanciaGanttDTO instanciaGanttDTO) {
        this.id = instanciaGanttDTO.getId();
        this.name = instanciaGanttDTO.getName();
        this.titCas = instanciaGanttDTO.getTitCas();
        this.titVal = instanciaGanttDTO.getTitVal();
        this.start = instanciaGanttDTO.getStart();
        this.end = instanciaGanttDTO.getEnd();
        this.progress = instanciaGanttDTO.getProgress();
        this.custom_class = instanciaGanttDTO.getCustom_class();
    }

    public void setId(BigInteger id) {
        this.id = id;
    }
    public void setName(String name) {
        this.name = name;
    }
    public void setTitCas(String titCas) {
        this.titCas = titCas;
    }
    public void setTitVal(String titVal) {
        this.titVal = titVal;
    }
    public void setStart(String start) {
        this.start = start;
    }
    public void setEnd(String end) {
        this.end = end;
    }
    public void setProgress(Integer progress) {
        this.progress = progress;
    }
    public void setCustom_class(String customClass) {
        this.custom_class = customClass;
    }
    @Override
    public BigInteger getId() {
        return id;
    }
    @Override
    public String getName() {
        return name;
    }
    @Override
    public String getTitCas() {
        return titCas;    
    }
    @Override
    public String getTitVal() {
        return titVal;
    }
    @Override
    public String getStart() {
        return start;
    }
    @Override
    public String getEnd() {
        return end;
    }
    @Override
    public Integer getProgress() {
        return progress;
    }

    @Override
    public String getCustom_class() {
        return custom_class;
    }   
}